{% extends 'Default/index.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
{% endblock %}
{% block javascripts %}
  {{ parent() }}
{% endblock %}
{% block main_content %}

  <section class="container">
    <div class="row">
      <div class="col-12 px-lg-4 py-lg-2">
        <h3>{{ folder.title }}</h3>
        <p>{{ folder.description }}</p>
      </div>
      <div class="col-12 px-lg-4 py-lg-2 my-5">
        {% if documents is empty %}
          <p>{{ 'documenti.cartella.no_documenti' | trans }}</p>
        {% else %}
          <table id="documents_table" class="table border-bottom">
            {% for document in documents %}
              <tr>
                <td class="align-middle">
                  {% if document.recipientType == 'tenant' %}
                    <svg class="icon">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-file"></use>
                    </svg>
                  {% else %}
                    <svg class="icon">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-clip"></use>
                    </svg>
                  {% endif %}
                </td>
                <td class="align-middle">
                  <a class="text-decoration-none text-black {% if document.downloadsCounter == 0 %}font-weight-bold{% endif %}"
                     href="{{ path('documento_show_cpsuser', {'folder': folder, 'document': document}) }}">
                    {{ document.title }}
                  </a>
                </td>
                <td class="d-none d-none d-lg-table-cell">
                  {% if document.expireAt | date('c') < "now" | date_modify("+7 day")| date('c') %}
                    <svg class="icon icon-danger icon-lg">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-warning-circle"></use>
                    </svg>
                  {% endif %}
                </td>
                <td class="d-none d-none d-lg-table-cell">
                  <div class="float-right">
                    <a id="downloadDocument"
                       href="{{ path('document_download_cpsuser', {'folder':folder, 'document': document}) }}"
                       download>
                      <svg class="icon icon-primary">
                        <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-download"></use>
                      </svg>
                    </a>
                  </div>
                </td>
                <td class="align-middle">
                  <div class="float-right">
                    <a href="{{ path('documento_show_cpsuser', {'folder': folder, 'document': document}) }}">
                      <svg class="icon icon-lg icon-primary">
                        <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-chevron-right"></use>
                      </svg>
                    </a>
                  </div>
                </td>
              </tr>
            {% endfor %}
          </table>
        {% endif %}

        <table id="folders_table" class="table border-bottom mt-5">
          <tr>
            <td><strong>{{ 'documenti.cartella.data_creazione' | trans }}</strong></td>
            <td>{{ folder.createdAt | format_date( locale=app.request.locale) }}</td>
          </tr>
          <tr>
            <td class="align-middle"><strong>{{ 'documenti.servizi_correlati' | trans }}</strong></td>
            <td>
              {% if  folder.correlatedServices|length == 0 %}
                <i>{{ 'documenti.cartella.no_servizi_correlati' | trans }}</i>
              {% else %}
                {% for service in folder.correlatedServices %}
                  <div>
                    <a href="{{ path('servizi_show', {'slug': service.slug}) }}">{{ service.name }}
                  </div>
                {% endfor %}
              {% endif %}
            </td>
          </tr>
        </table>
      </div>
    </div>
  </section>
{% endblock %}

